/*******************************************************************************
 * I9 TECHNOLOGIES CONFIDENTIAL
 * __________________
 * Copyright © 2013 i9 Technologies 
 * All Rights Reserved.
 * 
 * NOTICE:  All information contained herein is, and remains the property 
 * of i9 Technologies and its suppliers, if any.  The intellectual and technical 
 * concepts contained herein are proprietary to i9 Technologies and its 
 * suppliers and may be covered by U.S. and Foreign Patents, patents in 
 * process, and are protected by trade secret or copyright law. Dissemination 
 * of this information or reproduction of this material is strictly forbidden 
 * unless prior written permission is obtained from i9 Technologies.
 ******************************************************************************/
package com.xmlnamespace.panel.vaadin.shared.ui;

import java.util.List;

import com.vaadin.shared.communication.ClientRpc;

/**
 * RPC interface used to send events from the server to the client
 */
public interface CallComponentClientRpc extends ClientRpc {

    /**
     * Sets the call button items.
     *
     * @param items the new call button items
     */
    public void setCallButtonItems(List<CallButtonItem> items);

    /**
     * Adds a call button item.
     *
     * @param item the new item
     */
    public void addCallButtonItem(CallButtonItem item);

    /**
     * Removes a call button item.
     *
     * @param item the item removed
     */
    public void removeCallButtonItem(CallButtonItem item);

    /**
     * Update a call button item.
     *
     * @param item the item updated
     */
    public void updateCallButtonItem(CallButtonItem item);
    
    /**
     * Sets the start time.
     *
     * @param seconds the number of seconds to start the timer at
     * or -1 to hide the timer
     */
    public void setCurrentTime(long elapsedMillis);

}
